---
title: Locks.name
slug: Web/API/Lock/name
tags:
  - API
  - Experimental
  - Property
  - Reference
  - Web Locks API
  - lock
  - mode
  - name
---
<p>{{SeeCompatTable}}{{APIRef("Web Locks")}}</p>

<p><span class="seoSummary">The <strong><code>name</code></strong> read-only property of the {{domxref("Lock")}} interface returns the <em>name</em> passed to {{domxref('LockManager.request')}} selected when the lock was requested.</span></p>

<p>The name of a lock is passed by script when the lock is requested. The name is selected by the developer to represent an abstract resource for which use is being coordinated across multiple tabs, workers, or other code within the origin. For example, if only one tab of a web application should be synchronizing network resources with an offline database, it could use a lock name such as <code>"net_db_sync"</code>. </p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>name</var> = <var>Lock</var>.name</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}}.</p>

<h2 id="Example">Example</h2>

<p>The following examples show how the name property passed in the call to {{domxref('LockManager.request()')}}. <code>LockManager</code> is the object returned by {{domxref('navigator.locks')}}.</p>

<pre class="brush: js">navigator.locks.request("net_db_sync", show_lock_properties);

function show_lock_properties(lock) {
  console.log(`The lock name is: ${lock.name}`);
  console.log(`The lock mode is: ${lock.mode}`);
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Locks','#dom-lock-name','name')}}</td>
   <td>{{Spec2('Web Locks')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Lock.name")}}</p>
